TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

GramSchmidtReduce ( elt-alg^mat X, elt-ord^rat r ) -> elt-alg^mat, elt-alg^mat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> Reduce rows [r + 1 ..] of X by rows [1 .. r] of X (which must have rank r). </shortdoc>

### Examples

x_m:= Matrix(Z,3,3,[12,0,0,14,3,0,10,2,0]);GramSchmidtReduce(x_m,2);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack